//
//  DPCurrencyManager.h
//  Currency
//
//  Created by Hjalti Jakobsson on 17.8.2010.
//  Copyright 2010 Hjalti Jakobsson. All rights reserved.
//

#import <Foundation/Foundation.h>

@class DPCurrencyHandler;

@interface DPCurrencyManager : NSObject
{
	DPCurrencyHandler *currencyHandler;
    NSManagedObjectContext *managedObjectContext;
	id delegate;
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property(readwrite, assign) id delegate;

- (id)initWithManagedContext:(NSManagedObjectContext*)aContext usingDelegate:(id)aDelegate;
- (id)initWithManagedContext:(NSManagedObjectContext*)aContext;
- (BOOL)updateData;

@end
