//
//  DPLineChartView.h
//  Currency
//
//  Created by Hjalti Jakobsson on 17.8.2010.
//  Copyright 2010 Hjalti Jakobsson. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DPLineChartViewDataSource.h"

@interface DPLineChartView : UIView 
{
	id<DPLineChartViewDataSource, NSObject> delegate;
	NSMutableArray *paths, *normalizedData;
	float minValue, maxValue;
	NSString *headerString;
	UIFont *labelFont, *headerFont;
	CGSize chartSize;
	UIColor *lineColor, *gridColor;
	BOOL roundedCorners;
}

@property(readwrite, assign) id delegate;
@property(readwrite, retain) UIColor *lineColor, *gridColor;
@property(readwrite, retain) NSString *headerString;
@property(readwrite, assign) BOOL roundedCorners;
@property(readwrite, retain) UIFont *labelFont, *headerFont;

- (void)reloadData;

@end
