/*
 *  DPLineChartViewDataSource.h
 *  Currency
 *
 *  Created by Hjalti Jakobsson on 17.8.2010.
 *  Copyright 2010 Hjalti Jakobsson. All rights reserved.
 *
 */

@class DPLineChartView;

@protocol DPLineChartViewDataSource

@required
- (NSInteger)numberOfPointsInLineChartView:(DPLineChartView*)chartView;
- (float)lineChartView:(DPLineChartView*)chartView pointValueAtIndex:(NSInteger)index;

@optional
- (NSString*)headerForLineChartView:(DPLineChartView*)chartView;

@end