//
//  DPCurrencyCell.m
//  Currency
//
//  Created by Hjalti Jakobsson on 7.8.2010.
//  Copyright 2010 Hjalti Jakobsson. All rights reserved.
//

#import "DPCurrencyCell.h"


@implementation DPCurrencyCell
@synthesize buyLabel;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    if((self = [super initWithStyle:style reuseIdentifier:reuseIdentifier]))
	{		
		CGRect labelFrame = CGRectMake(228.0, 5.0, 60.0, 32.0);
		buyLabel = [[UILabel alloc] initWithFrame:labelFrame];
		buyLabel.textAlignment = UITextAlignmentRight;
		buyLabel.font = [UIFont boldSystemFontOfSize:16.0];
		
		CGRect textLabelFrame = self.textLabel.frame;
		textLabelFrame.size.width -= 100;
		[self.textLabel setFrame:textLabelFrame];
		
		[self.contentView addSubview:buyLabel];
    }
	
    return self;
}

- (void)setHighlighted:(BOOL)highlighted animated:(BOOL)animated
{
	[super setHighlighted:highlighted animated:animated];
	
	if(highlighted)
		buyLabel.textColor = [UIColor whiteColor];
	else
		buyLabel.textColor = [UIColor blackColor];
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];
	
	if(selected)
		buyLabel.textColor = [UIColor whiteColor];
	else
		buyLabel.textColor = [UIColor blackColor];

    // Configure the view for the selected state
}


- (void)dealloc
{
	[buyLabel release];
    [super dealloc];
}


@end
