//
//  RootViewController.h
//  Currency
//
//  Created by Hjalti Jakobsson on 6.8.2010.
//  Copyright Hjalti Jakobsson 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>
#import "MBProgressHUD.h"

@class DPCurrencyManager;

@interface RootViewController : UITableViewController <MBProgressHUDDelegate, NSFetchedResultsControllerDelegate>
{
	DPCurrencyManager *currencyManager;
	MBProgressHUD *HUD;

@private
    NSFetchedResultsController *fetchedResultsController_;
    NSManagedObjectContext *managedObjectContext_;
}

@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
@property (nonatomic, retain) NSFetchedResultsController *fetchedResultsController;

@end
