//
//  Currency.h
//  Currency
//
//  Created by Hjalti Jakobsson on 17.8.2010.
//  Copyright 2010 Hjalti Jakobsson. All rights reserved.
//

#import <CoreData/CoreData.h>

@class Record;

@interface Currency :  NSManagedObject  
{
}

@property (nonatomic, retain) NSString * iconURL;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * identifier;
@property (nonatomic, retain) NSSet* records;

- (float)lastBuyValue;
- (Record*)latestRecord;

@end


@interface Currency (CoreDataGeneratedAccessors)
- (void)addRecordsObject:(Record *)value;
- (void)removeRecordsObject:(Record *)value;
- (void)addRecords:(NSSet *)value;
- (void)removeRecords:(NSSet *)value;

@end

